#include <fstream>
#include <cstdio>
#include <algorithm>
#include <vector>

using namespace std;

int main()
{
	ifstream cin("reagents.in");
	ofstream cout("reagents.out");
	int n;
	cin >> n;
	vector<double> a(n);
	for (int i = 0; i < n; i++)
		cin >> a[i];
	sort(a.begin(), a.end());
	reverse(a.begin(), a.end()); 
	double ans = a.back();
	a.pop_back();
	while (a.size())
	{
		ans = (ans + a.back()) / 2;
		a.pop_back();
	}
	cout << fixed << ans << endl;
}

